%test family 5b -X axis peak
%see Espelid & Genz
Vertex=[0,0,1,1;1,0,0,1];
Tri=[1,2,3;1,3,4];
beta(1)=rand;
%beta(2)=unifrnd(0,1-beta(1));
d=175;
err=input('error:');
alpha=rand(1,2);
sf=d/sum(alpha);
alpha=alpha*sf;
close all
f5=@(V) (alpha(1)^(-2)+(V(1,:)-beta(1)).^2).^(-1).*...
    (alpha(2)^(-2)+V(2,:).^2).^(-1);
f5b=@(x,y) (alpha(1)^(-2)+(x-beta(1)).^2).^(-1).*...
    (alpha(2)^(-2)+y.^2).^(-1);

x=linspace(0,1,40);
[X,Y]=meshgrid(x);
Z=f5b(X,Y);
surf(X,Y,Z);
syms a1 a2 b1 u v
ves=int(int((a1^(-2)+(u-b1)^2)^(-1)*(a2^(-2)+v^2)^(-1),u,0,1),v,0,1);
ves=subs(ves,a1,alpha(1));
ves=subs(ves,a2,alpha(2));
ves=subs(ves,b1,beta(1));
ve=double(ves);

figure(2)
oo=optset('AbsoluteError',err,'Trace','on','MaxFctEval',150000);
[result,ee,stat]=CubatureTriang(f5,Tri,Vertex,...
    [],[],oo);


result,ee,ve,stat
shg
ss=sprintf('X-axis peak, $\\epsilon=%g$, congruent',err);
title(ss,'Interpreter','Latex','FontSize',14);

figure(3)
oo=optset('AbsoluteError',err,'Trace','on','MaxFctEval',150000,'Subdivision','flexible');
[result2,ee2,stat2]=CubatureTriangx(f5,Tri,Vertex,...
    [],[],oo);


result2,ee2,ve,stat2
shg
ss=sprintf('X-axis peak, $\\epsilon=%g$, flexible',err);
title(ss,'Interpreter','Latex','FontSize',14);
