%test family 3b C0
%see Espelid and Genz
Vertex=[0,0,1;1,0,0];
Tri=[1,2,3];
d2=0.4;
err=input('error:');
beta(1)=unifrnd(min(d2,1-(1+sqrt(2))*d2),max(d2,1-(1+sqrt(2))*d2));
beta(2)=unifrnd(min(d2,1-(beta(1)+sqrt(2))*d2),...
    max(d2,1-(beta(1)+sqrt(2))*d2));


x=Vertex(1,:); y=Vertex(2,:);
[lx,ly]=subdivizare(x,y,4);
TT=delaunay(lx,ly);
Z=f2test([lx,ly]',beta,d2);
trisurf(TT,lx,ly,Z);
view(71,53)
figure(2)
oo=optset('AbsoluteError',err,'Trace','on','MaxFctEval',150000);
[result,ee,stat]=CubatureTriang(@f2test,Tri,Vertex,...
    [],[],oo,beta,d2);

result,ee,stat
shg
ss=sprintf('$C_0$, $\\varepsilon=%f$, congruent',err);
title(ss,'Interpreter','Latex','FontSize',14);

figure(3)
oo=optset('AbsoluteError',err,'Trace','on','MaxFctEval',150000,...
    'Subdivision','flexible');
[result2,ee2,stat2]=CubatureTriang(@f2test,Tri,Vertex,...
    [],[],oo,beta,d2);

result2,ee2,stat2
shg
ss=sprintf('$C_0$, $\\varepsilon=%f$, flexible',err);
title(ss,'Interpreter','Latex','FontSize',14);
